## chromium 144.0.7559.109

=== debian/changelog ===
chromium (1:144.0.7559.109-2~deb12u1+rpt1) bookworm; urgency=medium

  * Import rpi and ubuntu patches
  * Remove debian patches duplicated by rpi
  * rpi build customisations
  * Remove debian's master_preferences file
  * Add package recommend for libwidevinecdm0
  * Reduce stderr-spamming when playing h264 on a Pi5
  * Use Ubuntu's browser sign-in disable-by-default patch instead of Debian's
  * Move chromium-l10n to recommends
  * Revert upstream "Drop kV4L2FlatStatefulVideoDecoder flag" and disable it
    - Fixes v4l2 h264 playback on Pi4
  * Revert upstream "Check format supported by gbm for creating native pixmap"
    - Fixes video playback on Pi 5 under Wayfire
  * Enable kAcceleratedVideoDecodeLinux and kAcceleratedVideoDecodeLinuxGL
    by default
  * Use zenoty instead of xmessage for displaying messages in launcher script
  * Replace old chromium-browser packages
  * Add chromium-browser symlink
  * d/c: Add rpi-chromium-mods to chromium Recommends
  * Launcher: extend NEON check to armv6l platforms
  * Bump alternatives priority to 90
  * d/r: Use DEB_VERSION_UPSTREAM from pkg-info.mk to determine upstream version
  * launcher: Add low memory warning
  * Enable PipeWire Camera support by default
  * Add --use-angle=gles unless --no-gl-override is specified
  * Work around tabs crashing when using a 16k page size kernel
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1089647
  * d/c: Remove system-config-printer from recommends
  * Disable the GL mappings for YUV formats
  * Replace kill_yuv_mappings.patch with v4l2-bgr4-only.patch

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 09 Feb 2026 08:09:19 +0000

chromium (144.0.7559.109-2~deb12u1) bookworm-security; urgency=high

  * Backport security fixes:
    - CVE-2026-1861: Heap buffer overflow in libvpx. Reported by Google.
    - CVE-2026-1862: Type Confusion in V8.
      Reported by Chaoyuan Peng (@ret2happy).

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Feb 2026 22:40:28 -0500

chromium (144.0.7559.109-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2026-1504: Inappropriate implementation in Background Fetch API.
      Reported by Luan Herrera (@lbherrera_).

 -- Andres Salomon <dilinger@debian.org>  Wed, 28 Jan 2026 20:19:05 -0500
