## chromium 144.0.7559.132~linuxmint1+zena

=== debian/changelog ===
chromium (144.0.7559.132~linuxmint1+zena) unstable; urgency=medium

  * 144.0.7559.132

 -- Linux Mint <root@linuxmint.com>  Tue, 03 Feb 2026 19:39:17 +0000
