## chromium 144.0.7559.132-1tux1

=== debian/changelog ===
chromium (2:144.0.7559.132-1tux1) noble; urgency=medium

  * New upstream security release.
    https://chromereleases.googleblog.com/2026/02/stable-channel-update-for-desktop.html

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Thu, 05 Feb 2026 17:26:51 +0100
