## chromium 145.0.7632.45~linuxmint1+faye

=== debian/changelog ===
chromium (145.0.7632.45~linuxmint1+faye) unstable; urgency=medium

  * 145.0.7632.45

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Feb 2026 21:39:16 +0000

chromium (144.0.7559.132~linuxmint1) unstable; urgency=medium

  * 144.0.7559.132

 -- Linux Mint <root@linuxmint.com>  Tue, 03 Feb 2026 19:39:17 +0000
