## chromium 145.0.7632.45~linuxmint1+gigi

=== debian/changelog ===
chromium (145.0.7632.45~linuxmint1+gigi) unstable; urgency=medium

  * 145.0.7632.45

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Feb 2026 21:39:16 +0000
