## chromium 145.0.7632.45

=== debian/changelog ===
chromium (145.0.7632.45-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2026-2313: Use after free in CSS. Reported by Han Zheng (HexHive),
      Wenhao Fang (University of St. Andrews), and Qinying Wang (HexHive).
    - CVE-2026-2314: Heap buffer overflow in Codecs. Reported by Google.
    - CVE-2026-2315: Inappropriate implementation in WebGPU.
      Reported by Google.
    - CVE-2026-2316: Insufficient policy enforcement in Frames.
      Reported by Luan Herrera (@lbherrera_).
    - CVE-2026-2317: Inappropriate implementation in Animation.
      Reported by Brendan Draper.
    - CVE-2026-2318: Inappropriate implementation in PictureInPicture.
      Reported by Shaheen Fazim.
    - CVE-2026-2319: Race in DevTools. Reported by Anonymous.
    - CVE-2026-2320: Inappropriate implementation in File input.
      Reported by Alesandro Ortiz.
    - CVE-2026-2321: Use after free in Ozone. Reported by Google.
    - CVE-2026-2322: Inappropriate implementation in File input.
      Reported by Robbe Van Roey | PinkDraconian.
    - CVE-2026-2323: Inappropriate implementation in Downloads.
      Reported by Hafiizh.
  * d/copyright:
    - delete third_party/litert/src, Google's new WebAI thing.
    - delete esbuild directory so we can use debian's esbuild.
    - delete new rollup binary rollup-linux-x64-gnu.
  * d/rules:
    - build with webnn_use_tflite=false to fix build.
    - disable building a bunch more unit tests.
    - copy esbuild libs and binary from the system.
  * d/control:
    - build-dep on libpthreadpool-dev.
    - build-dep on esbuild.
  * d/patches:
    - CVE-2026-1861.patch: drop, merged upstream.
    - CVE-2026-1862.patch: drop, merged upstream.
    - upstream/fix-rk3588-v4l2-av1-decoder.patch: drop, merged upstream.
    - debianization/manpage.patch: refresh.
    - debianization/rustc-bootstrap.patch: refresh.
    - fixes/armhf-no-thumb.patch: rework patch due to upstream dropping
      non-thumb.
    - disable/tests.patch: refresh.
    - disable/signin.patch: refresh.
    - disable/catapult.patch: refresh.
    - disable/widevine-cdm-cu.patch: refresh.
    - upstream/disable-unrar.patch: add upstream fix for disabling unrar.
    - trixie/gn-string-hash.patch: add a workaround for older gn missing
      string_hash() function.
    - disable/enterprise-tests.patch: add patch to fix build error
      related to building unnecessary unit tests.
    - system/rollup.patch: update for upstream changes around switching
      some rollup calls to esbuild and away from rollup-wasm.
    - llvm-19/static-assert.patch: add build fixes specific to clang-19.
    - disable/unrar.patch: add another build fix for deleting unrar.

  [ Timothy Pearson ]
  * d/patches:
    - patches/fixes/swiftshader-dependencies.patch: Fix SwiftShader include
      dependencies
  * d/patches/ppc64le:
    - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: Remove
      obsolete Clang 7 workaround and refresh for upstream changes
    - ppc64le/third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch:
      refresh for upstream changes
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - ppc64le/third_party/0001-Force-baseline-POWER8-AltiVec-VSX-CPU-features-when-.pa:
      refresh for upstream changes
    - ppc64le/fixes/fix-page-allocator-overflow.patch: Refresh for upstream
      changes
    - ppc64le/third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      Regenerate from upstream sources
    - ppc64le/sandbox/0009-sandbox-ignore-byte-span-error.patch: Work around upstream
      byte_span_from_ref issues

  [ Jianfeng Liu ]
  * d/patches:
    - loongarch64/0012-sandbox-linux-add-statx-support-for-loongarch64.patch:
      update for upstream changes.
    - loongarch64/0016-medium-cmodel-support-for-loongarch64.patch: refresh.

  [ Daniel Richard G. ]
  * d/patches/disable/rustc-allow-features.patch: Zap the -Zallow-features=
    flag so that Rust doesn't complain about our compatibility workarounds.

 -- Andres Salomon <dilinger@debian.org>  Thu, 12 Feb 2026 19:35:48 -0500

chromium (144.0.7559.109-2) unstable; urgency=high

  * Backport security fixes:
    - CVE-2026-1861: Heap buffer overflow in libvpx. Reported by Google.
    - CVE-2026-1862: Type Confusion in V8.
      Reported by Chaoyuan Peng (@ret2happy).

 -- Andres Salomon <dilinger@debian.org>  Tue, 03 Feb 2026 22:40:28 -0500

chromium (144.0.7559.109-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2026-1504: Inappropriate implementation in Background Fetch API.
      Reported by Luan Herrera (@lbherrera_).

 -- Andres Salomon <dilinger@debian.org>  Wed, 28 Jan 2026 20:19:05 -0500

chromium (144.0.7559.96-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2026-1220: Race in V8. Reported by @p1nky4745.
  * d/scripts/unbundle: switch to bundled libxml2, so that we get features of
    XML_PARSE_NO_XXE (which disables loading of external content) in
    trixie/bookworm.
  * d/copyright: stop deleting the bundled libxml2.
  * d/clean: stop deleting the libxml2 symlink.
  * d/control: drop libxml2-dev build dep.

  [ Daniel Richard G. ]
  * d/patches/bookworm/bindgen.patch: Move the libclang edit from here ...
  * d/patches/fixes/bindgen-paths.patch: ... over to this new patch, which
    takes a simpler approach that is easier to override later in the series ...
  * d/patches/ppc64le/fixes/bindgen.patch: ... and makes this patch redundant.
  * d/patches/ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch:
    Add a __NR_mseal definition that is needed in the Ubuntu builds.

 -- Andres Salomon <dilinger@debian.org>  Tue, 20 Jan 2026 20:25:10 -0500

chromium (144.0.7559.59-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2026-0899: Out of bounds memory access in V8. Reported by @p1nky4745.

