## chromium 145.0.7632.75~linuxmint1+faye

=== debian/changelog ===
chromium (145.0.7632.75~linuxmint1+faye) unstable; urgency=medium

  * 145.0.7632.75

 -- Linux Mint <root@linuxmint.com>  Fri, 13 Feb 2026 18:39:15 +0000

chromium (145.0.7632.67~linuxmint1) unstable; urgency=medium

  * 145.0.7632.67

 -- Linux Mint <root@linuxmint.com>  Thu, 12 Feb 2026 20:09:16 +0000

chromium (145.0.7632.45~linuxmint1) unstable; urgency=medium

  * 145.0.7632.45

 -- Linux Mint <root@linuxmint.com>  Tue, 10 Feb 2026 21:39:16 +0000
