## chromium 145.0.7632.75~linuxmint1+virginia

=== debian/changelog ===
chromium (145.0.7632.75~linuxmint1+virginia) unstable; urgency=medium

  * 145.0.7632.75

 -- Linux Mint <root@linuxmint.com>  Fri, 13 Feb 2026 18:39:15 +0000
