=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/pkg-info.mk
 
 # enable verbose build messages
 export DH_VERBOSE=1
@@ -13,6 +11,9 @@
 ifeq (armhf,$(DEB_HOST_ARCH))
 # avoid "argument unused during compilation" warnings on armhf
 arg_hardening = +all,-stackclash
+else ifeq (loong64,$(DEB_HOST_ARCH))
+# avoid page crashing on loong64
+arg_hardening = +all,-stackprotector
 else
 # enable all build hardening flags
 arg_hardening = +all
@@ -45,11 +46,6 @@
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
-
-# Our builder has a *lot* of cores. lld's thread-parallelism gets a bit
-# over-excited and exceeds the per-process virtual memory limit on armhf.
-# Somewhere around 10-20 should work but use 1 for now, it isn't too slow.
-export LDFLAGS+=-Wl,--threads=1
 
 # extra flags to reduce warnings that aren't very useful
 export CXXFLAGS+=-Wno-conversion \
@@ -74,7 +70,7 @@
 export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
+defines+=rust_bindgen_root=\"/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -94,12 +90,20 @@
 endif
 ifeq (arm64,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
+# use_av1_hw_decoder is enabled by default for vaapi, but disabled for
+# v4l2, we can remove it when chromium enables it for v4l2 by default
+defines+=use_av1_hw_decoder=true
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
 endif
 ifeq (ppc64el,$(DEB_HOST_ARCH))
 defines+=host_cpu=\"ppc64\" use_vaapi=true
+endif
+ifeq (loong64,$(DEB_HOST_ARCH))
+# use shared libffi for loong64 to pass build (see bugs.debian.org/1107859)
+# xnnpack doesn't support loongarch now, so disable it
+defines+=host_cpu=\"loong64\" use_system_libffi=true build_tflite_with_xnnpack=false use_vaapi=true
 endif
 
 ifdef cross_pkg_config
@@ -111,7 +115,7 @@
 defines+=use_thin_lto=false \
          concurrent_links=1
 else
-defines+=use_thin_lto=false
+defines+=use_thin_lto=true
 endif
 
 # disabled features
@@ -120,17 +124,23 @@
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
          optimize_webui=false \
+         webnn_use_tflite=false \
          use_unofficial_version_number=false \
-         rtc_video_psnr=false \
          safe_browsing_use_unrar=false \
          enable_vr=false \
          enable_enterprise_companion=false \
          enable_glic=false \
          build_dawn_tests=false \
          enable_iterator_debugging=false \
+         enable_hangout_services_extension=false \
          angle_has_histograms=false \
          angle_build_tests=false \
          build_angle_perftests=false \
+         enable_perfetto_unittests=false \
+         skia_enable_skshaper_tests=false \
+         tint_build_unittests=false \
+         enable_nocompile_tests=false \
+         enable_screen_ai_browsertests=false \
          treat_warnings_as_errors=false \
          clang_warning_suppression_file=\"\" \
          use_qt5=false use_qt6=false \
@@ -159,20 +169,6 @@
          ffmpeg_branding=\"Chrome\" \
          disable_fieldtrial_testing_config=true \
 
-
-# Extra Pi customisations:
-# Dawn seems to really want Vulkan - Chrome doesn't like our Vulkan
-# this causes a hiccup about a min after startup.
-# Disabling Dawn seems to create no penalty but this probably won't
-# be true indefinitely
-defines+=use_dawn=false skia_use_dawn=false
-# Enables screen sharing in hangouts
-defines+=enable_hangout_services_extension=true
-# We don't have the required GL extensions to enable GL passthrough so must
-# enable the validating decode otherwise we get a fatal GPU error
-defines+=enable_validating_command_decoder=true
-
-
 # handle parallel build options
 njobs=1
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -201,17 +197,17 @@
 		}; \
 	fi
 
-set_up_bindgen:
-	# Bookworm's bindgen is too old. This is a workaround using the
-	# packages from
-	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
-	# are new enough to build chromium but old enough to not be linked against
-	# Trixie's libc6 2.38
-	mkdir -p debian/bindgen/root
-	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
-	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
-
-override_dh_auto_configure: test_armhf_neon set_up_bindgen
+# unused for sid
+ESVERS=0.25.1-1
+set_up_esbuild:
+	# Esbuild binary version should match the libs in chromium. This uses
+	# esbuild packages from
+	# https://snapshot.debian.org/package/golang-github-evanw-esbuild/$(ESVERS)/
+	mkdir -p debian/esbuild/root
+	ar --output debian/esbuild/root vx debian/esbuild/esbuild_$(ESVERS)_$(DEB_HOST_ARCH).deb
+	tar -C debian/esbuild/root -Jxvf debian/esbuild/root/data.tar.xz
+
+override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -225,12 +221,11 @@
 	# use system rollup
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
 	- test -L third_party/devtools-frontend/src/node_modules/rollup3 || ln -s /usr/share/nodejs/rollup third_party/devtools-frontend/src/node_modules/rollup3
+	# use debian's esbuild
+	cp -ra /usr/lib/$(DEB_BUILD_MULTIARCH)/nodejs/esbuild third_party/devtools-frontend/src/node_modules/
+	mkdir -p third_party/devtools-frontend/src/third_party/esbuild
+	#cp debian/esbuild/root/usr/bin/esbuild third_party/devtools-frontend/src/third_party/esbuild/esbuild
+	cp /usr/bin/esbuild third_party/devtools-frontend/src/third_party/esbuild/
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
-	./debian/scripts/unbundle
-
-override_dh_auto_build-arch:
-	gn gen out/Release --args="$(defines)"
-	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
-	cp out/Release/chrome out/Release/chromium
