=== debian/control ===
--- 
+++ 
@@ -20,19 +20,17 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc-web:any (>= 1.84),
- libstd-rust-dev (>= 1.84),
+ rustc:any (>= 1.86),
+ libstd-rust-dev (>= 1.86),
  bindgen:native,
- rustfmt-web,
+ rustfmt,
  python3:any,
  pkgconf,
  ninja-build,
  python3-jinja2:native,
- python3-pkg-resources,
  ca-certificates,
  wget,
  flex,
- yasm,
  xvfb,
  wdiff,
  gperf,
@@ -40,7 +38,7 @@
  nodejs:any,
  node-rollup-plugin-terser:native,
  rollup,
- valgrind,
+ esbuild,
  xz-utils,
  xcb-proto,
  xfonts-base,
@@ -69,6 +67,7 @@
  libflac-dev,
  libudev-dev,
  libpipewire-0.3-dev,
+ libpthreadpool-dev,
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
@@ -99,37 +98,32 @@
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
  cross-exe-wrapper <cross>,
+ linux-libc-dev (>= 6.5),
 Build-Conflicts:
  bindgen-0.56,
  bindgen-0.65,
  rustc-1.74,
 
 Package: chromium
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
 Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
+Suggests:
  chromium-l10n,
- libwidevinecdm0,
- rpi-chromium-mods,
-Suggests:
  chromium-shell,
  chromium-driver,
 Provides:
  www-browser,
  gnome-www-browser,
- chromium-browser,
 Breaks:
  chromium-lwn4chrome (<= 1.0-2),
  chromium-tt-rss-notifier (<= 0.5.2-2),
- chromium-browser (<< 1:126.0.6478.126-1~deb12u1+rpt1),
-Replaces:
- chromium-browser (<< 1:126.0.6478.126-1~deb12u1+rpt1),
 Conflicts:
  libnettle4,
  libsecret-1-0 (<< 0.18),
@@ -146,12 +140,6 @@
 Depends:
  ${misc:Depends},
  chromium (>= ${source:Version}), chromium (<< ${source:Version}.1~),
-Provides:
- chromium-browser-l10n,
-Breaks:
- chromium-browser-l10n (<< 1:126.0.6478.126-1~deb12u1+rpt1),
-Replaces:
- chromium-browser-l10n (<< 1:126.0.6478.126-1~deb12u1+rpt1),
 Description: web browser - language packs
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
@@ -162,7 +150,7 @@
  ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: chromium-shell
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -179,7 +167,7 @@
  (the content shell).
 
 Package: chromium-headless-shell
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -193,17 +181,11 @@
  equivalent to the 'chromium --headless=old' option that was removed.
 
 Package: chromium-driver
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  chromium (= ${binary:Version}),
-Provides:
- chromium-chromedriver,
-Breaks:
- chromium-chromedriver (<< 1:126.0.6478.126-1~deb12u1+rpt1),
-Replaces:
- chromium-chromedriver (<< 1:126.0.6478.126-1~deb12u1+rpt1),
 Description: web browser - WebDriver support
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
@@ -212,12 +194,12 @@
  automatic webdriver.
 
 Package: chromium-common
-Architecture: i386 amd64 arm64 armhf ppc64el
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ x11-utils,
  xdg-utils,
- zenoty,
 Recommends:
  upower,
  udev,
@@ -225,6 +207,7 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
+ system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
@@ -237,7 +220,7 @@
  packages.
 
 Package: chromium-sandbox
-Architecture: i386 amd64 arm64 armhf ppc64el
+Architecture: i386 amd64 arm64 armhf loong64 ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -250,27 +233,3 @@
  browsing experience.
  .
  This package contains the setuid chromium sandbox.
-
-Package: chromium-browser
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, chromium
-Description: transitional dummy package
- This is a transitional dummy package, it can be safely removed.
-
-Package: chromium-browser-l10n
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, chromium-l10n
-Description: transitional dummy package
- This is a transitional dummy package, it can be safely removed.
-
-Package: chromium-chromedriver
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, chromium-driver
-Description: transitional dummy package
- This is a transitional dummy package, it can be safely removed.
