=== debian/rules ===
--- 
+++ 
@@ -142,6 +142,7 @@
          enable_nocompile_tests=false \
          enable_screen_ai_browsertests=false \
          treat_warnings_as_errors=false \
+         toolchain_supports_rust_thin_lto=false \
          clang_warning_suppression_file=\"\" \
          use_qt5=false use_qt6=false \
          is_cfi=false \
@@ -228,4 +229,3 @@
 	cp /usr/bin/esbuild third_party/devtools-frontend/src/third_party/esbuild/
 	# output compiler information
 	$(CXX) --version
-	# prefer unbundled (system) libraries
