## chromium 145.0.7632.116~linuxmint1+faye

=== debian/changelog ===
chromium (145.0.7632.116~linuxmint1+faye) unstable; urgency=medium

  * 145.0.7632.116

 -- Linux Mint <root@linuxmint.com>  Mon, 23 Feb 2026 20:40:16 +0000

chromium (145.0.7632.109~linuxmint1) unstable; urgency=medium

  * 145.0.7632.109

 -- Linux Mint <root@linuxmint.com>  Wed, 18 Feb 2026 21:24:17 +0000

chromium (145.0.7632.75~linuxmint1) unstable; urgency=medium

  * 145.0.7632.75

 -- Linux Mint <root@linuxmint.com>  Fri, 13 Feb 2026 18:39:15 +0000
